import asyncio
from pydantic_ai import Agent
from pydantic_ai.mcp import MCPServerSSE
from pydantic_ai.models.gemini import GeminiModel
from pydantic_ai.providers.google_gla import GoogleGLAProvider
from pydantic_ai.mcp import MCPServerStreamableHTTP


server = MCPServerStreamableHTTP(url='http://localhost:8000',)  


model = Agent(GeminiModel(
    'gemini-2.0-flash', provider=GoogleGLAProvider(api_key='')
),mcp_servers=[server])

async def main():
    async with model.run_mcp_servers():
        result = await model.run('Who is the user? Use tools if u can.')
        print(result.output)

    
if __name__ == "__main__":
    asyncio.run(main())